module IDoneThis
  module Connection

    attr_accessor :connection

    private

    def base_connection


      Faraday::Connection.new do |connection|
        connection.use Faraday::Request::UrlEncoded
        connection.use :cookie_jar
        connection.response :idonethis
        connection.response :json, :content_type => /\bjson$/
        connection.adapter Faraday.default_adapter
      end
    end
  end
end
