module IDoneThis
  class Middleware < Faraday::Response::Middleware
    def call(env)
      @app.call(env).on_complete do |env|
        on_complete(env)
      end
    end

    def initialize(app)
      @app = app
    end

    def on_complete(env)
      if env[:url].path.match(/dones\/$/)
        env[:body].map!{|done_hash| Done.new(done_hash) }
      end
    end
  end
end

Faraday.register_middleware :response, :idonethis => IDoneThis::Middleware
